Make guile-readline optional

https://bugs.gentoo.org/392553

--- a/Makefile.am
+++ b/Makefile.am
@@ -24,7 +24,7 @@
 #
 AUTOMAKE_OPTIONS = 1.10
 
-SUBDIRS = oop libguile ice-9 guile-config guile-readline emacs \
+SUBDIRS = oop libguile ice-9 guile-config @GUILE_READLINE@ emacs \
 	  scripts srfi doc examples test-suite benchmark-suite lang am
 
 bin_SCRIPTS = guile-tools
--- a/configure.in
+++ b/configure.in
@@ -57,7 +57,15 @@ AH_TOP(/*GUILE_CONFIGURE_COPYRIGHT*/)
 #
 #--------------------------------------------------------------------
 
-AC_CONFIG_SUBDIRS(guile-readline)
+GUILE_READLINE=
+AC_ARG_ENABLE([readline],
+  [AS_HELP_STRING([--disable-readline],
+                  [disable building guile-readline])],
+  if test "x$enable_readline" != xno; then
+    AC_CONFIG_SUBDIRS([guile-readline])
+    GUILE_READLINE="guile-readline"
+  fi)
+AC_SUBST([GUILE_READLINE])
 
 #--------------------------------------------------------------------
 
